aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCiro Santilli <ciro.santilli@gmail.com>2017-03-07 08:00:31 +0000
committerTobin Ehlis <tobine@google.com>2017-03-07 17:06:26 -0800
commite991970a58ab3fe74c66e539e8d89b736e827fba (patch)
tree844539d99858cf33683f3ca711d4e1b3c10a55ee
parentefe9a7d930d38eb10b019c351e0a706ba92667b4 (diff)
downloadusermoji-e991970a58ab3fe74c66e539e8d89b736e827fba.tar.xz
Use nproc instead of ncpu
The command is more widely available in Linux since it is part of Coreutils.
-rwxr-xr-xbuild-android/update_external_sources_android.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/build-android/update_external_sources_android.sh b/build-android/update_external_sources_android.sh
index 183ed136..f3f83215 100755
--- a/build-android/update_external_sources_android.sh
+++ b/build-android/update_external_sources_android.sh
@@ -32,7 +32,7 @@ echo "SPIRV_TOOLS_REVISION=$SPIRV_TOOLS_REVISION"
echo "SHADERC_REVISION=$SHADERC_REVISION"
if [[ $(uname) == "Linux" ]]; then
- cores=$(ncpus || echo 4)
+ cores="$(nproc || echo 4)"
elif [[ $(uname) == "Darwin" ]]; then
cores=$(sysctl -n hw.ncpu)
fi